CMSIS-DSP: arm_biquad_cascade_df2T_instance_f16 Struct Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_biquad_cascade_df2T_instance_f16 Struct Reference

Instance structure for the floating-point transposed direct form II Biquad cascade filter.

## Data Fields

uint8_t | numStages
float16_t * | pState
const float16_t * | pCoeffs

## Field Documentation

uint8_t numStages

number of 2nd order stages in the filter. Overall order is 2*numStages.

const float16_t* pCoeffs

points to the array of coefficients. The array is of length 5*numStages.

float16_t* pState

points to the array of state coefficients. The array is of length 2*numStages.